# SourcePath: iproute2/20170515dev
Summary: Enhanced IP routing and network devices configuration tools
Name: sony-target-dev-iproute2
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-iproute2
Version: 4.11.0
Release: 14010002
License: GPL2
URL: https://www.kernel.org/pub/linux/utils/net/iproute2/
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Source: iproute2-%{version}.tar.xz
Patch1		: iproute2-4.1.1-rt_config.patch
#Patch2		: iproute2-4.11.0-makefile.patch
Patch3		: iproute2-4.1.1-misc.patch
Patch4		: iproute2-3.8.0-initvar.patch
Patch5		: iproute2-%{version}-host-gcc-compile.patch
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define _docdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

%description
The iproute package contains networking utilities (ip and rtmon, for
example) which are designed to use the advanced networking
capabilities of the Linux 2.4.x and 2.6.x kernel.

%package -n %{pkgname}
Summary: Advanced IP routing and network device configuration tools.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The iproute package contains networking utilities (ip and rtmon, for
example) which are designed to use the advanced networking
capabilities of the Linux 2.4.x and 2.6.x kernel.

%prep
%setup -n iproute2-%{version}
%patch1 -p1 -b .rt_config
#%patch2 -p1 
%patch3 -p1 
%patch4 -p1 -b .initvar
%patch5 -p1

%build
%sony_target_dev_setup
make CC="$CC" KERNEL_INCLUDE=%{sony_target_dir}%{sony_target_dev_include_dir} \
	    DBM_INCLUDE=%{sony_target_dir}%{sony_target_dev_include_dir}     \
	    LD_LIBRARY_PATH=%{sony_target_dir}

%install
%sony_target_dev_setup
rm -rf %{buildroot}

BINS="ip/ip"
SBINS="ip/rtmon tc/tc"
SHBINS="ip/routef ip/routel"

mkdir -p %{buildroot}%{sony_target_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man{7,8}

install -m0755 $BINS %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin
install -m0755 $SBINS %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin
install -m0755 $SHBINS %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}
ln -s ../bin/ip %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin/ip

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_dir}/bin/ip
%{sony_target_dir}%{sony_target_dev_dir}/sbin/ip
%{sony_target_dir}%{sony_target_dev_dir}/sbin/rtmon
%{sony_target_dir}%{sony_target_dev_dir}/sbin/tc
%{sony_target_dir}%{sony_target_dev_bin_dir}/routef
%{sony_target_dir}%{sony_target_dev_bin_dir}/routel

%changelog
* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Mon May  08 2017 Sony Corporation.
- Initial build.
